import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var RotateRightOutlinedLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-rotateRightOutlinedLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h16v16H0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.25 5.5v8h-10v-8h10zm-1 1h-8v6h8v-6zm-5-5l1.414 1.414L8.25 4.328v-.914h-4l-.144.007a1.5 1.5 0 00-1.35 1.349l-.006.144v3h-1v-3l.005-.164a2.5 2.5 0 012.33-2.33l.165-.006h4V1.5z",
    fill: "currentColor"
  }))));
});
RotateRightOutlinedLine.displayName = 'RotateRightOutlinedLine';
export default RotateRightOutlinedLine;